## Delete Pipeline Document

`client.pipelines.documents.delete(stringdocumentID, DocumentDeleteParamsparams, RequestOptionsoptions?): void`

**delete** `/api/v1/pipelines/{pipeline_id}/documents/{document_id}`

Delete a document from a pipeline; runs async (vectors first, then MongoDB record).

### Parameters

- `documentID: string`

- `params: DocumentDeleteParams`

  - `pipeline_id: string`

    Path param

  - `project_id?: string | null`

    Query param

### Example

```typescript
import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

await client.pipelines.documents.delete('document_id', {
  pipeline_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
```
